package com.ejie.ab79.dao;

import java.util.List;

import com.ejie.ab79.model.RelCamDoc;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableRowDto;

/**
 * RelCamDocDao  
 * 
 *  
 */

public interface RelCamDocDao {

	RelCamDoc add(RelCamDoc relcamdoc);

	RelCamDoc find(RelCamDoc relcamdoc);

	void remove(RelCamDoc relcamdoc);

	void removeByIdDocumentoSubido(RelCamDoc relCamDoc);

	List<RelCamDoc> findAll(RelCamDoc relcamdoc, TableRequestDto tableRequestDto);

	List<RelCamDoc> findAllLike(RelCamDoc relcamdoc, TableRequestDto tableRequestDto, Boolean startsWith);

	Long findAllLikeCount(RelCamDoc relcamdoc, Boolean startsWith);

	Long findAllCount(RelCamDoc relcamdoc);

	List<TableRowDto<RelCamDoc>> reorderSelection(RelCamDoc filterRelCamDoc, TableRequestDto tableRequestDto,
			Boolean startsWith);

}
